#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-KOQkSLfnZ1J6sNZ0TPokvz
key:                  lsp-1.4.0.0-KOQkSLfnZ1J6sNZ0TPokvz
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  0af1a65d5bf10458d9ac11e0f6a179ae
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-2Ig9RHjpsfCUjaplSPoLR:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-2Ig9RHjpsfCUjaplSPoLR:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-2Ig9RHjpsfCUjaplSPoLR:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-2Ig9RHjpsfCUjaplSPoLR:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.4.8/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/lsp-1.4.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-KOQkSLfnZ1J6sNZ0TPokvz
depends:
    aeson-2.1.2.1-LDBL5bcX1HC79scYyh3opi
    async-2.2.5-Bvi1zpNsskKJCX9LRr76t3
    attoparsec-0.14.4-HXvPhgAZIYuDm9YtcrLhPL base-4.17.2.1
    bytestring-0.11.5.3 containers-0.6.7
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi exceptions-0.10.5
    hashable-1.4.4.0-5O85VrI4oZ4EDBPYdTgwgk
    hslogger-1.3.1.2-9sF7cXQtpfuHv5JeUWstYz
    lens-5.2.3-CV81uxSR0PiAcO8XtynZEb
    lsp-types-1.4.0.1-2Ig9RHjpsfCUjaplSPoLR mtl-2.2.2
    network-uri-2.6.4.2-EjZpKZ4F93eKYvVi9AsGV0
    random-1.2.1.2-22OpplVYpUz38cGfsZmdPY
    scientific-0.3.7.0-EYP4lwU6ELFEdSU4sCeddu
    sorted-list-0.2.3.1-B2bb8dggbI9ASZLAhsFYDx stm-2.5.1.0 text-2.0.2
    time-1.12.2 transformers-0.5.6.2
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-2kG5VEC3Gy42AwINT9WJ9w
    uuid-1.3.16-2CVs8KRJveC6K24EDr5cGn

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

